<html lang="en">
<head>
<title>Polygons - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Drawables.html#Drawables" title="Drawables">
<link rel="prev" href="Curves.html#Curves" title="Curves">
<link rel="next" href="Specials.html#Specials" title="Specials">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Polygons"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Specials.html#Specials">Specials</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Curves.html#Curves">Curves</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Drawables.html#Drawables">Drawables</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.2.4 Polygons</h4>

<p><a name="index-polygon-270"></a><strong>Syntax:</strong>
<pre class="example">     polygon[<var>options</var>] <var>point_list</var>
</pre>
   <p class="noindent">This command is the three-dimensional equivalent of the
<code>PSTricks</code> command <code>\pspolygon</code>.  The <code>sketch</code> hidden
surface algorithm assumes that polygons are convex and planar. 
<a name="index-polygon_002c-planar-271"></a><a name="index-planarity-of-polygons-272"></a>In practice, drawings may well turn out correctly even if these
assumptions are violated.

   </body></html>

